package jp.co.timedia.shop.control;

import java.util.*;
import jp.co.timedia.control.*;

public class ShoppingActionList implements ActionList {

    public static String URL = "http://localhost:8080/webdbshop/jsp/shop/";
    private static Hashtable actions;
    static {
        actions = new Hashtable();
	actions.put("Shopping", new Action(URL + "shopping.jsp"));
	actions.put("PreviousPage", new PreviousPage(null));
	actions.put("NextPage", new NextPage(null));
	actions.put("Confirm", new AddItemToCart(URL + "confirm.jsp"));
	//actions.put("Confirm", new AddItemToCart(null));
	actions.put("Checkout", new CheckOut(URL + "checkout.jsp"));
	actions.put(ERROR_ACTION, new Action(URL + "error.jsp"));
    }

    public Action get(String actionName) {
	Action action =  (Action) actions.get(actionName);
	if (action == null) return (Action) actions.get(ERROR_ACTION);
	return action;
    }

}

